Bug 119593 - [patch] multimedia/mplayer: allow building with distcc and ccache
Summary: [patch] multimedia/mplayer: allow building with distcc and ccache
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-12 13:10 UTC by Dominic Fandrey
Modified: 2008-03-03 18:17 UTC (History)
0 users

See Also:


Attachments
file.diff (540 bytes, patch)
2008-01-12 13:10 UTC, Dominic Fandrey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2008-01-12 13:10:01 UTC
The port sets CC in a fashion that is not space safe, so if CC is defined
with distcc and or ccache the mplayer configure script will fall back to
the default.

The patch removes the faulty lines and so lets configure get CC an AR
through the environment, which supplies the correct values due to the usual
bsd.port.mk magic.

How-To-Repeat: # cd /usr/ports/mplayer
# make CC="ccache distcc cc"
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-01-12 14:45:57 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

reclassify.
Comment 2 Thomas E. Zander 2008-01-13 05:30:56 UTC
The current behaviour (explicitly passing --cc=${CC} and the like) was
introduced due to a bug in the old mplayer configure script. AFAIK this
has been fixed, therefore this patch can be committed.

Thanks,
Riggs
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2008-03-03 18:17:02 UTC
State Changed
From-To: open->closed

Submitter says this has been resolved (via IRC)